#pragma once

#include "CoreMinimal.h"
#include "ActivateStatusEffectOnEventBaseStrategy.h"
#include "ActivateStatusEffectOnEventInstigatorOutsideRangeOfOriginatingPlayerStrategy.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew)
class UActivateStatusEffectOnEventInstigatorOutsideRangeOfOriginatingPlayerStrategy : public UActivateStatusEffectOnEventBaseStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _range;

public:
	UActivateStatusEffectOnEventInstigatorOutsideRangeOfOriginatingPlayerStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UActivateStatusEffectOnEventInstigatorOutsideRangeOfOriginatingPlayerStrategy) { return 0; }
